//
//  GCApplication.h
//  GCFoundation
//
//  Created by Georg C. Brckmann on 04.11.05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//


#define GCApp				((GCApplication *)NSApp)


@interface GCApplication : NSApplication {
	BOOL	autolaunched;
}

@property(readonly, retain)	NSString	*userApplicationSupportFolderPath;
@property(readonly, assign,
	getter=isAutolaunched)		BOOL		autolaunched;

+ (GCApplication *)sharedApplication;

+ (void)loadFactoryDefaults;

- (BOOL)isActionEnabled:(SEL)theAction;

- (IBAction)showPreferences:(id)sender;

- (IBAction)openMostRecentDocument:(id)sender;

@end
