//
//  NSBundle+GCFoundationAdditions.h
//  GCFoundation
//
//  Created by Georg C. Brückmann on 23.12.05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

@class NSImage;


@interface NSBundle (GCFoundationAdditions)

@property(readonly, copy) NSString					*name;
@property(readonly, copy) NSImage					*icon;
@property(readonly, assign) unsigned long long	size;
@property(readonly, copy)	NSString					*shortVersionString;
@property(readonly, copy)	NSString					*version;
@property(readonly, copy)	NSString					*humanReadableCopyright;
@property(readonly, copy)	NSAttributedString	*creditsAttributedString;


- (NSError *)localizedErrorWithCode:(int)theCode description:(NSString *)theDescription recoverySuggestion:(NSString *)theRecoverySuggestion userInfo:(NSDictionary *)theUserInfo formatArgumentsDictionary:(NSDictionary *)theFormatArguments;
- (NSError *)localizedErrorWithCode:(int)theCode description:(NSString *)theDescription recoverySuggestion:(NSString *)theRecoverySuggestion userInfo:(NSDictionary *)theUserInfo formatArguments:(id)theFirstArgument, ...;

@end
