//
//  B7ModalWindowController.h
//  Evermind
//
//  Created by Georg C. on 26.01.09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "B7WindowController.h"


@interface B7ModalWindowController : B7WindowController {
	__weak id	delegate;
}

@property(readonly, assign)	__weak id	delegate;

/* Modal Delegate didEndSelector Prototype:
	- (void)sheetDidEnd:(B7ModalWindowController *)sheetController returnCode:(NSInteger)returnCode contextInfo:(void *)contextInfo;
	*/
- (void)beginSheetModalForWindow:(NSWindow *)theParentWindow modalDelegate:(id)theModalDelegate didEndSelector:(SEL)theDidEndSelector contextInfo:(void *)theContextInfo;
- (NSInteger)runModal;
- (void)endModalWithReturnCode:(NSInteger)theReturnCode;
- (BOOL)shouldEndModalWithReturnCode:(NSInteger)theReturnCode;
- (void)willEndModalWithReturnCode:(NSInteger)theReturnCode;

- (IBAction)ok:(id)theSender;
- (IBAction)cancel:(id)theSender;

- (IBAction)showWindow:(id)theSender;
- (IBAction)toggleWindowShown:(id)theSender;

@end
