//
//  GCAppleEventDescriptorConversion.h
//  Watchmac
//
//  Created by Georg C. on 14.08.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSObject (GCAppleEventDescriptorConversion)

@property(readonly, copy)	NSAppleEventDescriptor	*appleEventDescriptor;

@end


@interface NSString (GCAppleEventDescriptorConversion)

/* See NSObject (GCAppleEventDescriptorConversion). */

@end


@interface NSNumber (GCAppleEventDescriptorConversion)

/* See NSObject (GCAppleEventDescriptorConversion). */

@end


@interface NSArray (GCAppleEventDescriptorConversion)

/* See NSObject (GCAppleEventDescriptorConversion). */

@end


@interface NSDictionary (GCAppleEventDescriptorConversion)

/* See NSObject (GCAppleEventDescriptorConversion). */

@end


@interface NSAppleEventDescriptor (GCAppleEventDescriptorConversion)

@property(readonly, copy)	id					objectValue;
@property(readonly, copy)	NSArray			*arrayValue;
@property(readonly, copy)	NSDictionary	*dictionaryValue;
@property(readonly, copy)	NSNumber			*numberValue;

+ (NSAppleEventDescriptor *)descriptorWithInt64:(SInt64)theValue;
+ (NSAppleEventDescriptor *)descriptorWithUInt64:(UInt64)theValue;
+ (NSAppleEventDescriptor *)descriptorWithUInt32:(UInt32)theValue;
+ (NSAppleEventDescriptor *)descriptorWithInt16:(SInt16)theValue;
+ (NSAppleEventDescriptor *)descriptorWithUInt16:(UInt16)theValue;
+ (NSAppleEventDescriptor *)descriptorWithFloat:(float)theValue;
+ (NSAppleEventDescriptor *)descriptorWithDouble:(double)theValue;

@end
