//
//  GCEvaluatePredicateTransformer.h
//  Chirrup
//
//  Created by Georg C. on 30.06.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface GCEvaluatePredicateTransformer : NSValueTransformer {
	NSPredicate	*predicate;
	id				trueValue;
	id				falseValue;
}

@property(readwrite, retain)	NSPredicate	*predicate;
@property(readwrite, retain)	id				trueValue;
@property(readwrite, retain)	id				falseValue;

- (id)initWithPredicate:(NSPredicate *)thePredicate;
- (id)initWithPredicate:(NSPredicate *)thePredicate trueValue:(id)theTrueValue falseValue:(id)theFalseValue;

@end
