//
//  GCTableView.h
//  Chirrup
//
//  Created by Georg C. on 09.07.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@class GCTableView;


@interface NSObject (GCTableViewDelegate)

- (NSMenu *)tableView:(GCTableView *)tableView menuForRow:(NSInteger)clickedRow column:(NSInteger)clickedColumn;

@end


@interface GCTableView : NSTableView {
	BOOL						highlightsSelection;
	IBOutlet NSMenu		*itemMenu;
	NSMutableDictionary	*keyHandlers;
//	SEL						deleteAction;
}

@property(readwrite, assign)	BOOL			highlightsSelection;
@property(readwrite, retain)	NSMenu		*itemMenu;
//@property(readwrite, assign)	SEL			deleteAction;

- (void)setHandler:(id)theHandler selector:(SEL)theSelector forKeys:(NSCharacterSet *)theKeys;
- (BOOL)getHandler:(id *)theHandlerP selector:(SEL *)theSelectorP forKeys:(NSCharacterSet *)theKeys;

@end
