//
//  NSImage+GCFoundationEnhancements.h
//  GCFoundation
//
//  Created by Georg C. Brückmann on 04.11.05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSImage (GCFoundationEnhancements)

+ (id)imageNamed:(NSString *)theName inBundle:(NSBundle *)theBundle;

- (NSImage *)copyScaledToSize:(NSSize )aSize;
- (NSImage *)imageWithRect:(NSRect)rect;

- (CGImageRef)createCGImageRef;

@end
