//
//  WMInfringement.h
//  Watchmac
//
//  Created by Georg C. on 30.07.08.
//  Copyright 2008 Georg C. Brückmann (bloo7). All rights reserved.


extern NSString	*const WMScreenUnlockAuthenticationFailureInfringement;
extern NSString	*const WMGenericAuthenticationFailureInfringement;


@interface WMInfringement : NSObject {
	NSString		*identifier;
	NSString		*name;
	id				userInfo;
	NSDate		*date;
}

@property(readonly, copy)		NSString	*identifier;
@property(readwrite, copy)		NSString	*name;
@property(readwrite, retain)	id			userInfo;
@property(readonly, retain)	NSDate	*date;

- (id)initWithName:(NSString *)theName userInfo:(id)theUserInfo;
- (id)initWithName:(NSString *)theName userInfo:(id)theUserInfo date:(NSDate *)theDate;
- (id)initWithIdentifier:(NSString *)theIdentifier name:(NSString *)theName userInfo:(id)theUserInfo date:(NSDate *)theDate;
- (id)initWithInfringement:(WMInfringement *)theInfringement;

@end
