//
//  WMInfringementSensorDefaults.h
//  Watchmac
//
//  Created by Georg C. on 08.11.08.
//  Copyright 2008 bloo7 (Georg C. Brückmann). All rights reserved.
#import "WMPlugInDefaults.h"


@class WMInfringementSensor;


@interface WMInfringementSensorDefaults : WMPlugInDefaults {
	NSString								*infringementName;
	__weak WMInfringementSensor	*sensor;
}

@property(readonly, copy)		NSString								*infringementName;
@property(readonly, assign)	__weak WMInfringementSensor	*sensor;


- (id)initWithInfringementName:(NSString *)theInfringementName sensor:(WMInfringementSensor *)theSensor;

@end
