//
//  B7PlugIn.h
//  Watchmac
//
//  Created by Georg C. on 27.10.08.
//  Copyright 2008 bloo7 (Georg C. Brückmann). All rights reserved.
#import "B7PlugIn.h"


@class WMViewController;


@interface WMPlugIn : B7PlugIn {
	WMViewController	*aboutViewController;
	WMViewController	*optionsViewController;
	NSDictionary		*factoryDefaults;
}

@property(readonly, copy)		NSImage				*icon;
@property(readonly, copy)		WMViewController	*aboutViewController;
@property(readonly, copy)		WMViewController	*optionsViewController;
@property(readonly, retain)	NSDictionary		*factoryDefaults;
@property(readonly, copy)		NSString				*plugInSetIdentifier;
@property(readonly, copy)		NSString				*plugInSetName;


- (BOOL)migrateUserDefaults;
- (BOOL)importObjectsForKeys:(NSSet *)theKeysToImport fromDefaults:(id)theForeignDefaults intoDefaults:(id)theOwnDefaults;

- (BOOL)handleURLCommand:(NSString *)theCommand arguments:(NSString *)theArguments;

@end
