//
//  WMPlugInManager.h
//  Watchmac
//
//  Created by Georg C. on 27.10.08.
//  Copyright 2008 bloo7 (Georg C. Brückmann). All rights reserved.
#import "B7PlugInManager.h"


@class WMInfringementSensor;


@protocol WMPlugInManagerDelegate <B7PlugInManagerDelegate>
@end


@interface WMPlugInManager : B7PlugInManager {
	NSMutableDictionary	*defaultInfringementSensors;
	NSMutableDictionary	*plugInSets;
}

@property(readonly, copy)	NSSet	*knownInfringementTypes;
@property(readonly, copy)	NSSet	*knownReactions;


+ (WMPlugInManager *)defaultManager;

- (WMInfringementSensor *)preferredSensorForInfringementName:(NSString *)theInfringementName;

- (NSSet *)plugInSetWithIdentifier:(NSString *)theSetIdentifier;

@end
