//
//  WMReactionDefaults.h
//  Watchmac
//
//  Created by Georg C. on 08.11.08.
//  Copyright 2008 bloo7 (Georg C. Brückmann). All rights reserved.
#import "WMPlugInDefaults.h"


@class WMReaction;


@interface WMReactionDefaults : WMPlugInDefaults {
	NSString				*infringementName;
	__weak WMReaction	*reaction;
}

@property(readonly, copy)		NSString				*infringementName;
@property(readonly, assign)	__weak WMReaction	*reaction;


- (id)initWithInfringementName:(NSString *)theInfringementName reaction:(WMReaction *)theReaction;

@end
