//
//  WMUtilities.h
//  Watchmac
//
//  Created by Georg C. on 01.08.08.
//  Copyright 2008 Georg C. Brückmann (bloo7). All rights reserved.


extern NSString	*const WMDidRecordInfringementNotification;


NSString *WMFormatDate(NSDate *theDate, NSDateFormatterStyle theDateStyle, NSDateFormatterStyle theTimeStyle, BOOL localize);

NSDictionary *WMGetInfringementConfiguration(NSString *theInfringementName);
void WMSetInfringementConfiguration(NSString *theInfringementName, NSDictionary *theConfiguration);

NSDictionary *WMGetInfringementSensorConfiguration(NSString *theInfringementName, NSString *theSensorIdentifier);
void WMSetInfringementSensorConfiguration(NSString *theInfringementName, NSString *theSensorIdentifier, id theConfiguration);

NSDictionary *WMGetInfringementReactionConfiguration(NSString *theInfringementName, NSString *theReactionIdentifier);
void WMSetInfringementReactionConfiguration(NSString *theInfringementName, NSString *theReactionIdentifier, NSDictionary *theConfiguration);

NSDictionary *WMGetGlobalReactionConfiguration(NSString *theReactionIdentifier);
void WMSetGlobalReactionConfiguration(NSString *theReactionIdentifier, NSDictionary *theConfiguration);

BOOL WMRegisterTemporaryFileForRemovalAfterDate(NSString *theFilename, NSDate *theDate);

BOOL WMIsScreenLockedUsingLockUtility();
